package com.agri.system.service.impl;

import com.agri.common.utils.DateUtils;
import com.agri.system.domain.SysAgriLimit;
import com.agri.system.mapper.SysAgriLimitMapper;
import com.agri.system.service.ISysAgriLimitService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 执行时间限位管理Service业务层处理
 * 
 * @author agri
 * @date 2026-01-08
 */
@Service
public class SysAgriLimitServiceImpl extends ServiceImpl<SysAgriLimitMapper, SysAgriLimit> implements ISysAgriLimitService
{

    /**
     * 查询执行时间限位管理
     * 
     * @param id 执行时间限位管理主键
     * @return 执行时间限位管理
     */
    @Override
    public SysAgriLimit selectSysAgriLimitById(String id)
    {
        return baseMapper.selectSysAgriLimitById(id);
    }

    /**
     * 查询执行时间限位管理列表
     * 
     * @param sysAgriLimit 执行时间限位管理
     * @return 执行时间限位管理
     */
    @Override
    public List<SysAgriLimit> selectSysAgriLimitList(SysAgriLimit sysAgriLimit)
    {
        return baseMapper.selectSysAgriLimitList(sysAgriLimit);
    }

    /**
     * 新增执行时间限位管理
     * 
     * @param sysAgriLimit 执行时间限位管理
     * @return 结果
     */
    @Override
    public int insertSysAgriLimit(SysAgriLimit sysAgriLimit)
    {
        sysAgriLimit.setCreateTime(DateUtils.getNowDate());
        return baseMapper.insertSysAgriLimit(sysAgriLimit);
    }

    /**
     * 修改执行时间限位管理
     * 
     * @param sysAgriLimit 执行时间限位管理
     * @return 结果
     */
    @Override
    public int updateSysAgriLimit(SysAgriLimit sysAgriLimit)
    {
        sysAgriLimit.setUpdateTime(DateUtils.getNowDate());
        return baseMapper.updateSysAgriLimit(sysAgriLimit);
    }

    /**
     * 批量删除执行时间限位管理
     * 
     * @param ids 需要删除的执行时间限位管理主键
     * @return 结果
     */
    @Override
    public int deleteSysAgriLimitByIds(String[] ids)
    {
        return baseMapper.deleteSysAgriLimitByIds(ids);
    }

    /**
     * 删除执行时间限位管理信息
     * 
     * @param id 执行时间限位管理主键
     * @return 结果
     */
    @Override
    public int deleteSysAgriLimitById(String id)
    {
        return baseMapper.deleteSysAgriLimitById(id);
    }
}
